#include "Salamander.h"
#include "UniqueId.h"

namespace Salamander
{

/*
** Start our Ids at 1, leaving 0 for error codes and NULL
*/
long UniqueId::nextId_ = 1;

UniqueId::UniqueId()
{
	id_ = nextId_++;
}

UniqueId::~UniqueId()
{

}

bool UniqueId::operator== (const UniqueId& u) const
{
	return id_ == u.id_;
}

bool UniqueId::operator!= (const UniqueId& u) const
{
	return id_ != u.id_;
}

bool UniqueId::operator<(const UniqueId& u) const
{
	return id_ < u.id_;
}

bool UniqueId::operator<=(const UniqueId& u) const
{
	return id_ <= u.id_;
}

bool UniqueId::operator>(const UniqueId& u) const
{
	return id_ > u.id_;
}

bool UniqueId::operator>=(const UniqueId& u) const
{
	return id_ >= u.id_;
}

}